Page MenuHomePhabricator

multi-lingual label usage [Tracking]
Closed, ResolvedPublic

Description

Currently, the entity usage tracking service knows two cases for label usage:

  • the label in the wiki's content language (aspect "L")
  • a label in some other language (aspect "X", which covers all other aspects)

On a multilingual site like Wikimedia Commons, pages often use labels in multiple languages. Any such languages would be tracked as using the "X" aspect of the item, triggering a purge whenever any part of the entity is edited. This is particularly bad for entities that are used on hundreds of thousands of pages, e.g. countries.

Solution, as per discussion T90563 (updated March 18): Use per-language aspects. Instead of the "L" aspect, use "L/en" for the label in English, "L/ru" for the label in Russian, etc. Implementation is tracked in T92288, deployment is tracked in T92988.

Related Objects

Event Timeline

daniel created this task.Feb 9 2015, 5:11 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2015, 5:11 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.Feb 9 2015, 7:42 PM
Rical added a subscriber: Rical.Feb 10 2015, 6:53 PM
hoo added a subscriber: hoo.Feb 14 2015, 10:27 PM

Could we make the meaning of 'L' depend on the setting I'll introduce here: https://gerrit.wikimedia.org/r/189324 ? If so, I'd go for that.

I asked to : Get and use in LUA the user's language to help an admin in his language to maintain in any wiki a module able to speak 2 languages or more. This seems to be an aspect "X". See living examples from https://phabricator.wikimedia.org/T68051
where Category names are displayed in user language and link to wiki language categories.
The hoo's change could help admins.

Lydia_Pintscher triaged this task as High priority.Feb 19 2015, 3:41 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
daniel updated the task description. (Show Details)Mar 18 2015, 10:28 AM
daniel set Security to None.
daniel updated the task description. (Show Details)

Decision needed on T93057

Jonas renamed this task from Track multi-lingual label usage to multi-lingual label usage [Tracking].Sep 10 2015, 1:51 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 10 2015, 1:51 PM
RP88 added a subscriber: RP88.Oct 17 2015, 6:01 PM
Lydia_Pintscher closed this task as Resolved.Nov 24 2015, 5:01 PM
Lydia_Pintscher claimed this task.
Rical removed a subscriber: Rical.Nov 24 2015, 10:13 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 12:39 PM